Package commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceExteriorBlockEntity

java.lang.Object
net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>
net.minecraft.world.level.block.entity.BlockEntity
commoble.jumbofurnace.jumbo_furnace.JumboFurnaceExteriorBlockEntity

All Implemented Interfaces:
  `net.minecraftforge.common.capabilities.ICapabilityProvider`, `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`, `net.minecraftforge.common.capabilities.ICapabilitySerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.common.extensions.IForgeBlockEntity`, `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

public class JumboFurnaceExteriorBlockEntity extends net.minecraft.world.level.block.entity.BlockEntity

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`net.minecraftforge.common.capabilities.CapabilityProvider.AsField<B extends net.minecraftforge.common.capabilities.ICapabilityProviderImpl<B>>`

## Field Summary

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`INFINITE_EXTENT_AABB`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JumboFurnaceExteriorBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceExteriorBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`static JumboFurnaceExteriorBlockEntity`
`create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`<T> net.minecraftforge.common.util.LazyOptional<T>`
`getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)`
`JumboFurnaceCoreBlockEntity`
`getCoreTile()`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, clearRemoved, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, getUpdatePacket, getUpdateTag, hasLevel, isRemoved, load, loadStatic, onChunkUnloaded, onlyOpCanSetNbt, saveAdditional, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`areCapsCompatible, areCapsCompatible, deserializeCaps, gatherCapabilities, gatherCapabilities, gatherCapabilities, getCapabilities, invalidateCaps, reviveCaps, serializeCaps`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`deserializeNBT, getModelData, getRenderBoundingBox, handleUpdateTag, hasCustomOutlineRendering, onDataPacket, onLoad, requestModelDataUpdate, serializeNBT`

## Constructor Details

### JumboFurnaceExteriorBlockEntity

protected JumboFurnaceExteriorBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceExteriorBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### create

public static JumboFurnaceExteriorBlockEntity create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### getCapability

public <T> net.minecraftforge.common.util.LazyOptional<T> getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)

Specified by:
  `getCapability` in interface `net.minecraftforge.common.capabilities.ICapabilityProvider`
Overrides:
  `getCapability` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`

### getCoreTile

@Nullable public JumboFurnaceCoreBlockEntity getCoreTile()